add_newline = false
format = """\
${custom.kaklsp_progress}\
${custom.kaklsp_err}\
${custom.kaklsp_warn}\
${custom.kaklsp_hint}\
${custom.kakcursor}\
${custom.kakposition}\
${custom.kakmode}\
${custom.kakcontext}\
$directory\
${custom.kakfile}\
${custom.kakfiletype}\
${custom.kaklsp_code_actions}\
$package\
$git_branch\
$git_commit\
$git_state\
$git_status\
${custom.kaksession}"""

[git_branch]
format = '[  $branch]($style)'
style = 'fg:bright-blue italic'
only_attached = false
always_show_remote = true
disabled = false

[git_commit]
format = '[\($hash$tag\)]($style)'
style = 'fg:blue dimmed'
commit_hash_length = 7
only_detached = false
tag_symbol = ' 笠'
tag_disabled = false
disabled = false

[git_state]
format = '\( [$state($progress_current/$progress_total)]($style)\)'
style = 'fg:blue dimmed'
rebase = 'REBASING'
merge = 'MERGING'
revert = 'REVERTING'
cherry_pick = 'CHERRY-PICKING'
bisect = 'BISECTING'
am = 'AM'
am_or_rebase = 'AM/REBASE'
disabled = false

[git_status]
format = '[\[$all_status$ahead_behind\]]($style)'
style = 'fg:cyan dimmed bold'
stashed = '\$'
ahead = '⇡${count}'
behind = '⇣${count}'
diverged = '⇕⇡${ahead_count}⇣${behind_count}'
conflicted = '='
deleted = '✘'
renamed = '»'
modified = '!'
staged = '+'
untracked = '?'
disabled = false

[directory]
format = '[$read_only]($read_only_style)[ $path]($style)'
truncation_length = 3
truncate_to_repo = false
fish_style_pwd_dir_length = 0
use_logical_path = true
style = 'bg:blue fg:black'
read_only_style = 'bg:blue fg:200'
read_only = '[]'
truncation_symbol = '…'
disabled = false

[directory.substitutions]
"~/.config" = " "
"~/workspace" = " "
"~" = " "

[custom.kakfile]
description = 'The current Kakoune buffername'
format = '[/$output ]($style)'
style = 'bold bg:blue fg:black'
command = 'printf ${kak_buffile##*/}'
when = 'true'
shell = ['sh']
disabled = false

[custom.kaksession]
description = 'The current Kakoune session'
format = '($style)[  %val{client}:%val{session} ]($style)'
style = 'bg:yellow fg:black italic'
when = ''
shell = ['true']
disabled = false

[custom.kakcursor]
description = 'The current Kakoune cursor position'
format = '[%val{cursor_line}:%val{cursor_char_column}]($style)'
style = 'fg:white'
when = ''
shell = ['true']
disabled = false

[custom.kakmode]
description = 'The current Kakoune mode'
format = ' {{mode_info}}'
when = ''
shell = ['true']
disabled = false

[custom.kakcontext]
description = 'The current Kakoune context'
format = ' {{context_info}}'
when = ''
shell = ['true']
disabled = false

[custom.kakfiletype]
description = 'The current buffer filetype'
format = ' \[%opt{filetype}\] '
when = ''
shell = ['true']
disabled = false

[custom.kakposition]
description = 'Relative position of the cursor inside the buffer'
format = '[ $output]($style)'
style = 'white'
command = 'printf $(($kak_cursor_line * 100 / $kak_buf_line_count))%'
when = '[ -n "$kak_cursor_line" ]'
shell = ['sh']
disabled = false

[custom.kaklsp_err]
description = "Show errors number from kak-lsp if any"
format = "[  %opt{lsp_diagnostic_error_count}]($style)"
style = "red bold"
when = '[ -n "$kak_opt_lsp_diagnostic_error_count" -a "$kak_opt_lsp_diagnostic_error_count" -ne 0 ]'
shell = ['sh']
disabled = false

[custom.kaklsp_warn]
description = "Show warnings number from kak-lsp if any"
format = "[  %opt{lsp_diagnostic_warning_count}]($style)"
style = "yellow bold"
when = '[ -n "$kak_opt_lsp_diagnostic_warning_count" -a "$kak_opt_lsp_diagnostic_warning_count" -ne 0 ]'
shell = ['sh']
disabled = false

[custom.kaklsp_hint]
description = "Show hints number from kak-lsp if any"
format = "[ ﯦ %opt{lsp_diagnostic_hint_count}]($style)"
style = "white bold"
when = '[ -n "$kak_opt_lsp_diagnostic_hint_count" -a "$kak_opt_lsp_diagnostic_hint_count" -ne 0 ]'
shell = ['sh']
disabled = false

[custom.kaklsp_code_actions]
description = "Show lsp code actions"
format = "[ %opt{lsp_modeline_code_actions} ]($style)"
style = "yellow bold"
when = '[ -n "$kak_opt_lsp_modeline_code_actions" ]'
shell = ['sh']
disabled = false

[custom.kaklsp_progress]
description = "Show activity of kak-lsp if any"
format = "[ ]($style)"
style = "bright-white bold"
when = '[ -n "$kak_opt_lsp_modeline_progress" ]'
shell = ['sh']
disabled = false
